<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations</groupId>
    <artifactId>profile-implementation</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.objects-implementations.profile-implementation</groupId>
  <artifactId>profile-producing</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: PROFILE :: PRODUCING</name>
  <description>ENTAXY  :: PLATFORM :: CORE :: OBJECTS IMPLEMENTATIONS :: PROFILE :: PRODUCING</description>
  
  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.platform.base.objects.profile.producing</bundle.osgi.export.pkg>
  	<license.update.headers.exclude>**/ru/entaxy/resource/**/*.xml</license.update.headers.exclude>
  </properties>
  
  <dependencies>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
  		<artifactId>object-producer-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
  		<artifactId>object-producer-core</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
  		<artifactId>artifact-management</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  </dependencies>
  
  <build>
  	<plugins>
  		<plugin>
			<groupId>org.apache.felix</groupId>
			<artifactId>maven-bundle-plugin</artifactId>
			<version>${maven-bundle-plugin.version}</version>
			<extensions>true</extensions>
			<configuration>
				<instructions>
					<Entaxy-Factory-Provider>true</Entaxy-Factory-Provider>	
					<Entaxy-Template-Provider>true</Entaxy-Template-Provider>	
					<Entaxy-Resource-Provider>true</Entaxy-Resource-Provider>
				</instructions>
			</configuration>
		</plugin>

  	</plugins>
  </build>
  
</project>
